Adding OR and XOR request to REST API and issue filters

2015-12-15 19:10 - Nils Grimm

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Easiest case:

If an issue has multiple boolean custom flags.

CF_01 = 1 AND (CF_02 = 1 XOR CF_05 = 1)

 This can in the moment only be queried in multiple queries and later on filtered.

This option would be great for the REST API and the normal GUI filter.

Related issues:

Is duplicate of Redmine - Feature #4939: List of tasks filtered as OR and not... New 2010-02-26

History

#1 - 2016-01-12 01:29 - Toshi MARUYAMA

- Category deleted (REST API)

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #4939.

#2 - 2016-01-12 01:29 - Toshi MARUYAMA

- Is duplicate of Feature #4939: List of tasks filtered as OR and not AND added
